<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/events/TimeEvent.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_c33611b4dec78f96017d2ccf425d656a.html">events</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">TimeEvent.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="TimeEvent_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &lt;<a class="code" href="Event_8hpp.html">core/Event.hpp</a>&gt;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9">    6</a></span><span class="keyword">enum class</span> <a class="code hl_enumeration" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9">TimeCategory</a> {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <a class="code hl_enumvalue" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9ae5b708f8af980096691f84233af5deb3">SECUND</a>,</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <a class="code hl_enumvalue" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9a8f1672ca7805383bfe5e152162bfe9c8">TEN_SECONDS</a>,</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    <a class="code hl_enumvalue" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9a46bda4cde2f10bdb9e51e3bbefa4a2bf">MINUTE</a>,</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>};</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1TimePassed.html">   12</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1TimePassed.html">TimePassed</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>{</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1TimePassed.html#a4043dafcf1106e64fb8f0ed9b6c084b5">   15</a></span>    <a class="code hl_function" href="classgg_1_1TimePassed.html#a4043dafcf1106e64fb8f0ed9b6c084b5">TimePassed</a>(<a class="code hl_enumeration" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9">TimeCategory</a>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1TimePassed.html#a295fa18efee2239ed31383932a316791">   16</a></span>    <a class="code hl_function" href="classgg_1_1TimePassed.html#a295fa18efee2239ed31383932a316791">~TimePassed</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1TimePassed.html#a0083f74a21bee1347ff8addc1eac9b83">   18</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1TimePassed.html#a0083f74a21bee1347ff8addc1eac9b83">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1TimePassed.html#a34cc8862e6c57cfa1434f69de5050d05">   20</a></span>    auto <a class="code hl_function" href="classgg_1_1TimePassed.html#a34cc8862e6c57cfa1434f69de5050d05">GetCategory</a>() -&gt; <a class="code hl_enumeration" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9">TimeCategory</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>  private:</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_enumeration" href="namespacegg.html#a8734553fe8802563415bb4c364b034b9">TimeCategory</a> mCategory;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>};</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aEvent_8hpp_html"><div class="ttname"><a href="Event_8hpp.html">Event.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1TimePassed_html"><div class="ttname"><a href="classgg_1_1TimePassed.html">gg::TimePassed</a></div><div class="ttdef"><b>Definition:</b> TimeEvent.hpp:13</div></div>
<div class="ttc" id="aclassgg_1_1TimePassed_html_a0083f74a21bee1347ff8addc1eac9b83"><div class="ttname"><a href="classgg_1_1TimePassed.html#a0083f74a21bee1347ff8addc1eac9b83">gg::TimePassed::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1TimePassed_html_a295fa18efee2239ed31383932a316791"><div class="ttname"><a href="classgg_1_1TimePassed.html#a295fa18efee2239ed31383932a316791">gg::TimePassed::~TimePassed</a></div><div class="ttdeci">~TimePassed() override=default</div></div>
<div class="ttc" id="aclassgg_1_1TimePassed_html_a34cc8862e6c57cfa1434f69de5050d05"><div class="ttname"><a href="classgg_1_1TimePassed.html#a34cc8862e6c57cfa1434f69de5050d05">gg::TimePassed::GetCategory</a></div><div class="ttdeci">auto GetCategory() -&gt; TimeCategory</div></div>
<div class="ttc" id="aclassgg_1_1TimePassed_html_a4043dafcf1106e64fb8f0ed9b6c084b5"><div class="ttname"><a href="classgg_1_1TimePassed.html#a4043dafcf1106e64fb8f0ed9b6c084b5">gg::TimePassed::TimePassed</a></div><div class="ttdeci">TimePassed(TimeCategory)</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_a8734553fe8802563415bb4c364b034b9"><div class="ttname"><a href="namespacegg.html#a8734553fe8802563415bb4c364b034b9">gg::TimeCategory</a></div><div class="ttdeci">TimeCategory</div><div class="ttdef"><b>Definition:</b> TimeEvent.hpp:6</div></div>
<div class="ttc" id="anamespacegg_html_a8734553fe8802563415bb4c364b034b9a46bda4cde2f10bdb9e51e3bbefa4a2bf"><div class="ttname"><a href="namespacegg.html#a8734553fe8802563415bb4c364b034b9a46bda4cde2f10bdb9e51e3bbefa4a2bf">gg::TimeCategory::MINUTE</a></div><div class="ttdeci">@ MINUTE</div></div>
<div class="ttc" id="anamespacegg_html_a8734553fe8802563415bb4c364b034b9a8f1672ca7805383bfe5e152162bfe9c8"><div class="ttname"><a href="namespacegg.html#a8734553fe8802563415bb4c364b034b9a8f1672ca7805383bfe5e152162bfe9c8">gg::TimeCategory::TEN_SECONDS</a></div><div class="ttdeci">@ TEN_SECONDS</div></div>
<div class="ttc" id="anamespacegg_html_a8734553fe8802563415bb4c364b034b9ae5b708f8af980096691f84233af5deb3"><div class="ttname"><a href="namespacegg.html#a8734553fe8802563415bb4c364b034b9ae5b708f8af980096691f84233af5deb3">gg::TimeCategory::SECUND</a></div><div class="ttdeci">@ SECUND</div></div>
<div class="ttc" id="anamespacegg_html_ada69b9f844678d00cd5c2b2c30a20122"><div class="ttname"><a href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">gg::EventType</a></div><div class="ttdeci">EventType</div><div class="ttdef"><b>Definition:</b> Event.hpp:11</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
